#tool
extends Node2D

var modx =-1
var mody =-1

func _process(_delta):
	set_position(get_viewport_transform().get_origin() * Vector2(modx,mody))

#func _on_Timer_timeout():
#	print(singleton.sky)
#	$ParallaxLayer/Sprite2.get_material().set_shader_param("graphicsetting", singleton.video.sky)

func _zoom(value):
	$ParallaxLayer.scale = value
	modx = -value.x
	mody = -value.y
	$ParallaxLayer.position = Vector2(320,180) * value
